| VTK 9.0.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkMappedUnstructuredGridCellIterator< Implementation > Class Template Reference

Default cell iterator for vtkMappedUnstructuredGrid. More...

`#include <vtkMappedUnstructuredGridCellIterator.h>`

Inheritance diagram for vtkMappedUnstructuredGridCellIterator< Implementation >:
[legend]
Collaboration diagram for vtkMappedUnstructuredGridCellIterator< Implementation >:
[legend]

## Public Types
typedef vtkMappedUnstructuredGridCellIterator< ImplementationType > | ThisType

## Public Member Functions
| vtkTemplateTypeMacro (vtkMappedUnstructuredGridCellIterator< Implementation >, vtkCellIterator) typedef Implementation ImplementationType
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetMappedUnstructuredGrid (vtkMappedUnstructuredGrid< ImplementationType, ThisType > *grid)
bool | IsDoneWithTraversal () override
| Returns false while the iterator is valid. More...
vtkIdType | GetCellId () override
| Get the id of the current cell. More...
Public Member Functions inherited from vtkCellIterator
| vtkAbstractTypeMacro (vtkCellIterator, vtkObject)
void | InitTraversal ()
| Reset to the first cell. More...
void | GoToNextCell ()
| Increment to next cell. More...
int | GetCellType ()
| Get the current cell type (e.g. More...
int | GetCellDimension ()
| Get the current cell dimension (0, 1, 2, or 3). More...
vtkIdList * | GetPointIds ()
| Get the ids of the points in the current cell. More...
vtkPoints * | GetPoints ()
| Get the points in the current cell. More...
vtkIdList * | GetFaces ()
| Get the faces for a polyhedral cell. More...
void | GetCell (vtkGenericCell *cell)
| Write the current full cell information into the argument. More...
vtkIdType | GetNumberOfPoints ()
| Return the number of points in the current cell. More...
vtkIdType | GetNumberOfFaces ()
| Return the number of faces in the current cell. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
vtkCommand * | GetCommand (unsigned long tag)
void | RemoveObserver (vtkCommand *)
void | RemoveObservers (unsigned long event, vtkCommand *)
void | RemoveObservers (const char *event, vtkCommand *)
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
int | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
int | InvokeEvent (const char *event, void *callData)
int | InvokeEvent (unsigned long event)
int | InvokeEvent (const char *event)
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkTypeBool | IsA (const char *name)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
void | PrintRevisions (ostream &)
| Legacy. More...

## Static Public Member Functions
static vtkMappedUnstructuredGridCellIterator< ImplementationType > * | New ()
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (int val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
static void | GlobalWarningDisplayOff ()
static int | GetGlobalWarningDisplay ()
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...

## Protected Member Functions
| vtkMappedUnstructuredGridCellIterator ()
| ~vtkMappedUnstructuredGridCellIterator () override
void | ResetToFirstCell () override
| Update internal state to point to the first cell. More...
void | IncrementToNextCell () override
| Update internal state to point to the next cell. More...
void | FetchCellType () override
| Lookup the cell type in the data set and store it in this->CellType. More...
void | FetchPointIds () override
| Lookup the cell point ids in the data set and store them in this->PointIds. More...
void | FetchPoints () override
| Lookup the cell points in the data set and store them in this->Points. More...
Protected Member Functions inherited from vtkCellIterator
| vtkCellIterator ()
| ~vtkCellIterator () override
virtual void | FetchFaces ()
| Lookup the cell faces in the data set and store them in this->Faces. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | CollectRevisions (ostream &)
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Protected Attributes inherited from vtkCellIterator
int | CellType
vtkPoints * | Points
vtkIdList * | PointIds
vtkIdList * | Faces
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

### template<class Implementation>
class vtkMappedUnstructuredGridCellIterator< Implementation >

Default cell iterator for vtkMappedUnstructuredGrid.

This class is used by default for vtkMappedUnstructedGrid instances. It uses random access for data lookups. Custom vtkCellIterator implementations should be used instead when random-access is inefficient.

Definition at line 37 of file vtkMappedUnstructuredGridCellIterator.h.

## Member Typedef Documentation

## ◆ ThisType

template<class Implementation >

typedef vtkMappedUnstructuredGridCellIterator<ImplementationType> vtkMappedUnstructuredGridCellIterator< Implementation >::ThisType

Definition at line 42 of file vtkMappedUnstructuredGridCellIterator.h.

## Constructor & Destructor Documentation

## ◆ vtkMappedUnstructuredGridCellIterator()

template<class Implementation >

vtkMappedUnstructuredGridCellIterator< Implementation >::vtkMappedUnstructuredGridCellIterator | ( |  | ) |
| protected

## ◆ ~vtkMappedUnstructuredGridCellIterator()

template<class Implementation >

vtkMappedUnstructuredGridCellIterator< Implementation >::~vtkMappedUnstructuredGridCellIterator | ( |  | ) |
| override protected

## Member Function Documentation

## ◆ vtkTemplateTypeMacro()

template<class Implementation >

vtkMappedUnstructuredGridCellIterator< Implementation >::vtkTemplateTypeMacro | ( | vtkMappedUnstructuredGridCellIterator< Implementation > | ,
|  | vtkCellIterator |
| ) |  |

## ◆ New()

template<class Implementation >

static vtkMappedUnstructuredGridCellIterator<ImplementationType>* vtkMappedUnstructuredGridCellIterator< Implementation >::New | ( |  | ) |
| static

## ◆ PrintSelf()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| override virtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkCellIterator.

## ◆ SetMappedUnstructuredGrid()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::SetMappedUnstructuredGrid | ( | vtkMappedUnstructuredGrid< ImplementationType, ThisType > * | grid | ) |

## ◆ IsDoneWithTraversal()

template<class Implementation >

bool vtkMappedUnstructuredGridCellIterator< Implementation >::IsDoneWithTraversal | ( |  | ) |
| override virtual

Returns false while the iterator is valid.

Always safe to call.

Implements vtkCellIterator.

## ◆ GetCellId()

template<class Implementation >

vtkIdType vtkMappedUnstructuredGridCellIterator< Implementation >::GetCellId | ( |  | ) |
| override virtual

Get the id of the current cell.

Implements vtkCellIterator.

## ◆ ResetToFirstCell()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::ResetToFirstCell | ( |  | ) |
| override protected virtual

Update internal state to point to the first cell.

Implements vtkCellIterator.

## ◆ IncrementToNextCell()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::IncrementToNextCell | ( |  | ) |
| override protected virtual

Update internal state to point to the next cell.

Implements vtkCellIterator.

## ◆ FetchCellType()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::FetchCellType | ( |  | ) |
| override protected virtual

Lookup the cell type in the data set and store it in this->CellType.

Implements vtkCellIterator.

## ◆ FetchPointIds()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::FetchPointIds | ( |  | ) |
| override protected virtual

Lookup the cell point ids in the data set and store them in this->PointIds.

Implements vtkCellIterator.

## ◆ FetchPoints()

template<class Implementation >

void vtkMappedUnstructuredGridCellIterator< Implementation >::FetchPoints | ( |  | ) |
| override protected virtual

Lookup the cell points in the data set and store them in this->Points.

Implements vtkCellIterator.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkMappedUnstructuredGridCellIterator.h